Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.simple
Interface NumericAttribute

All Superinterfaces:
  Attribute, Property

    public interface NumericAttribute

extends Attribute

Attribute bound to a Numeric class.

This class indicates getValue() returns a Numeric using Java 5 type narrowing, for for those working against java 1.4 interfaces the additional methods getNumber() and setNumber have been introduced.

Method Summary
`Number` | `getNumber()` Java 1.4 type safe access to getValue
`Number` | `getValue()` Access to the content of this Attribute.
`void` | `setNumber(Number newValue)` Java 1.4 type safe access to setValue
`void` | `setValue(Number newValue)`

Methods inherited from interface Attribute
`getDescriptor, getID, getType, nillable, operation, setValue`

Methods inherited from interface Property
`descriptor, name`

Method Detail

### setValue

    void setValue(Number newValue)

### getValue

    Number getValue()

  Description copied from interface: `Attribute`
  Access to the content of this Attribute.

  A subclass may define a more specific method to access this value, in order to improve readability or make allowances for Java 1.4 use.

  Specified by:
    `getValue` in interface `Attribute`
  Returns:
    Value Object of the class indicated by getType().getBinding()

### getNumber

    Number getNumber()

  Java 1.4 type safe access to getValue

  Returns:
    (Number) getValue()

### setNumber

    void setNumber(Number newValue)

  Java 1.4 type safe access to setValue

  Parameters:
    `newValue` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.